/* Общие стили */
body, html {
    margin: 0;
    padding: 0;
    color: #3e4159;
    font-size: 20px;
    font-family: 'Montserrat', Arial, sans-serif;
}
*{
    box-sizing: border-box;
}



.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}
h1,
h2 {
    text-align: center;
    margin-bottom: 40px;
    font-size: 36px;
    margin-top: 0;
}

h2{
    margin-bottom: 80px;
}

/* Блок 1 - Видеофон */
.hero {
    position: relative;
    height: 100vh;
    overflow: hidden;
}

.background-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 20px;
    background: rgba(0, 0, 0, 0.7);
    color: white;
    z-index: 33;
    align-items: center;
}

.menu {
    display: flex;
    gap: 20px;
}

.menu a, .book-btn {
    color: white;
    text-decoration: none;
}

.book-btn {
    color: #3fc2f5;
    font-size: 14px;
    font-family: 'Montserrat', Arial, sans-serif;
    line-height: 1.55;
    font-weight: 600;
    border-width: 3px;
    border-radius: 20px;
    background-position: center center;
    border-color: #3fc2f5;
    border-style: solid;
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out;
    padding: 10px 30px;
}

.book-btn:hover {
    background-color: #3fc2f5;
    color: #fff;
}

/* Блок 2 - Об отеле */
.about {
    background-color: #f0f0f0;
    padding: 120px 0;
}

.about p {
    text-align: center;
    max-width: 800px;
    margin: 0 auto;
}

/* Блок 3 - Наши преимущества */
.advantages {
    padding: 80px 0;
}

.icons {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    gap: 50px;
}

.icon {
    text-align: center;
}

.icon img {
    width: 80px;
    height: 80px;
}

/* Блок 4 - Наши номера */
.rooms {
    padding: 80px 0;
}

.room-content {
    display: grid;
    grid-template-columns: 1fr  1fr ;
    gap: 60px;
    padding-top: 75px;
    padding-bottom: 60px;
}




.room-info {
    flex: 1;
}

.gallery {
    padding: 80px 0;
}

.contacts {
    padding: 80px 0;
    display: flex;
    gap: 40px;
    background: #f0f0f0;
}

.contact-info {
    flex: 1;
}

.map {
    flex: 1;
}

/* Футер */
.footer {
    background-color: #111111;
    color: white;
    padding: 20px 0;
    text-align: center;
}


.burger {
    display: none;
    font-size: 28px;
    cursor: pointer;
}

.room-slider img {
    width: 100%;
    opacity: 0;
    transition: opacity 1s ease; /* Плавное изменение прозрачности */
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    max-height: 450px;
}

.room-slider img.active {
    opacity: 1;
}

.room-slider {
    position: relative;
}
.room-info h3{margin-top: 0}
.price span{
    color: #3e4159;
    font-size: 20px;
    line-height: 1.55;
    font-weight: 700;
}
.price{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
ul li{
    padding: 5px 0;
}

.contacts h2{
    margin-top: 0;
    text-align: left;
}
.contacts .container{
    display: grid;
    width: 100%;
    gap: 20px;
    grid-template-columns: 1fr 2fr;

    font-size: 18px;
}

.gallery-slider  a{
    display: block;
}
.gallery-slider {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 2px;
}
.gallery-slider img{
    max-width: 100%;
    display: block;
}
.logo{
    font-weight: 900;
    color: #3fc2f5;
}
.logo span{
    color: #fff;
}
#page {
    padding: 120px 0;
}
#page h1{
    color: #068cc0;
    font-size: 26px;
}
#page h3,
#page h2{
    margin: 0;
    text-align: left;
    font-size: 20px;
    padding: 20px 0;
}

#page p{
    padding: 5px 0;
    margin: 0;
    text-indent: 30px;
}
#page {
    font-size: 18px;
}
#page img{ max-width: 100%;}
#page img.aleft{ max-width: 45%; float: left; padding-right: 5%;}
#page img.aright{ max-width: 45%; float: right; padding-left: 5%;}
#page table{font-size: 14px; border: 1px solid #aaa;
    border-spacing: 0px;
    border-collapse: collapse;
    margin: 0 auto;
    max-width: 100%;
}
#page table th{border-bottom: 1px solid #aaa; padding: 5px 10px; background: #f0f0f0}
#page table td{border-bottom: 1px solid #aaa; padding: 5px 10px;}
.f-menu a{ color:#ffffff90; text-decoration: none; text-transform: uppercase}
.f-menu{
    list-style: none;
    display: flex;
    justify-content: space-evenly;
    font-size: 12px;
    color: #fff;
    flex-wrap: wrap;
    gap: 15px;
}
.inner-menu li{
    padding: 3px 0;
}

.inner-menu li a{
    color: #00ccff;
}
.inner-menu li:first-child{
    margin-left: -20px;
}
.inner-menu{
    font-size: 16px;
    list-style: none;
    margin-left: 0;
    margin-top: 10px;
    margin-bottom: 0px;
    display: flex;
    flex-direction: column;
    padding-left: 20px;
}
@media screen and (max-width: 960px){
    .room-slider img{
        height: unset;
    }
}

@media screen and (max-width: 810px){

    .room-content{
        grid-template-columns: 1fr;
    }
    .room-content:nth-child(odd){
        display: flex;
        flex-direction: column-reverse;
        gap: 40px;


    }
    .room-slider img,
    .room-slider{
        height: 500px;
    }

}
/* Скрываем меню на мобильных устройствах */

@media (max-width: 960px) {
    .navbar{
        background-color: rgba(0, 0, 0, 0.9);
    }
    .menu {
        display: none;
        flex-direction: column;
        background-color: rgba(0, 0, 0, 0.9);
        position: absolute;
        top: 85px;
        right: 0;
        width: 100%;
        text-align: center;
        padding: 60px;
        font-weight: bold;
        letter-spacing: 3px;
        font-size: 26px;
    }

    .menu a {
        padding: 15px 0;
        display: block;
        color: white;
    }

    .menu-active {
        display: flex;
    }

    .burger {
        display: block;
    }

    .burger-active {
        color: #3fc2f5;
    }
}


@media (max-width: 550px) {
    .room-slider img,
    .room-slider{
        height: 360px;
    }

    #page img.aleft{ max-width: 100%; float: unset; padding-right: unset;}
    #page img.aright{ max-width: 100%; float: unset; padding-left: unset;}
}